## rb-util

rb-util

## Synopsis

    gboolean            rb_true_function                    (gpointer dummy);
    gboolean            rb_false_function                   (gpointer dummy);
    gpointer            rb_null_function                    (gpointer dummy);
    gpointer            rb_copy_function                    (gpointer data);
    int                 rb_gvalue_compare                   (GValue *a,
                                                             GValue *b);
    int                 rb_compare_gtimeval                 (GTimeVal *a,
                                                             GTimeVal *b);
    int                 rb_safe_strcmp                      (const char *a,
                                                             const char *b);
    char *              rb_make_duration_string             (guint duration);
    char *              rb_make_elapsed_time_string         (guint elapsed,
                                                             guint duration,
                                                             gboolean show_remaining);
    void                rb_gtk_action_popup_menu            (GtkUIManager *uimanager,
                                                             const char *path);
    GtkWidget *         rb_image_new_from_stock             (const gchar *stock_id,
                                                             GtkIconSize size);
    char *              rb_uri_get_mount_point              (const char *uri);
    void                rb_threads_init                     (void);
    gboolean            rb_is_main_thread                   (void);
    gchar*              rb_search_fold                      (const char *original);
    gchar**             rb_string_split_words               (const gchar *string);
    gboolean            rb_string_list_equal                (GList *a,
                                                             GList *b);
    gboolean            rb_string_list_contains             (GList *list,
                                                             const char *s);
    GList*              rb_string_list_copy                 (GList *list);
    void                rb_list_deep_free                   (GList *list);
    void                rb_list_destroy_free                (GList *list,
                                                             GDestroyNotify destroyer);
    void                rb_slist_deep_free                  (GSList *list);
    gboolean            rb_str_in_strv                      (const char *needle,
                                                             char **haystack);
    GList*              rb_collate_hash_table_keys          (GHashTable *table);
    GList*              rb_collate_hash_table_values        (GHashTable *table);
    GList*              rb_uri_list_parse                   (const char *uri_list);
    char*               rb_mime_get_friendly_name           (const char *mime_type);
    gboolean            rb_signal_accumulator_object_handled
                                                            (GSignalInvocationHint *hint,
                                                             GValue *return_accu,
                                                             const GValue *handler_return,
                                                             gpointer dummy);
    void                rb_value_array_append_data          (GValueArray *array,
                                                             GType type,
                                                             ...);
    void                rb_value_free                       (GValue *val);
    void                rb_assert_locked                    (GMutex *mutex);
    void                rb_set_tree_view_column_fixed_width (GtkWidget *treeview,
                                                             GtkTreeViewColumn *column,
                                                             GtkCellRenderer *renderer,
                                                             const char **strings,
                                                             int padding);

## Description

## Details

### rb_true_function ()

    gboolean            rb_true_function                    (gpointer dummy);

`dummy` : |
Returns : |

### rb_false_function ()

    gboolean            rb_false_function                   (gpointer dummy);

`dummy` : |
Returns : |

### rb_null_function ()

    gpointer            rb_null_function                    (gpointer dummy);

`dummy` : |
Returns : |

### rb_copy_function ()

    gpointer            rb_copy_function                    (gpointer data);

`data` : |
Returns : |

### rb_gvalue_compare ()

    int                 rb_gvalue_compare                   (GValue *a,
                                                             GValue *b);

`a` : |
`b` : |
Returns : |

### rb_compare_gtimeval ()

    int                 rb_compare_gtimeval                 (GTimeVal *a,
                                                             GTimeVal *b);

`a` : |
`b` : |
Returns : |

### rb_safe_strcmp ()

    int                 rb_safe_strcmp                      (const char *a,
                                                             const char *b);

`a` : |
`b` : |
Returns : |

### rb_make_duration_string ()

    char *              rb_make_duration_string             (guint duration);

`duration` : |
Returns : |

### rb_make_elapsed_time_string ()

    char *              rb_make_elapsed_time_string         (guint elapsed,
                                                             guint duration,
                                                             gboolean show_remaining);

`elapsed` : |
`duration` : |
`show_remaining` : |
Returns : |

### rb_gtk_action_popup_menu ()

    void                rb_gtk_action_popup_menu            (GtkUIManager *uimanager,
                                                             const char *path);

`uimanager` : |
`path` : |

### rb_image_new_from_stock ()

    GtkWidget *         rb_image_new_from_stock             (const gchar *stock_id,
                                                             GtkIconSize size);

`stock_id` : |
`size` : |
Returns : |

### rb_uri_get_mount_point ()

    char *              rb_uri_get_mount_point              (const char *uri);

`uri` : |
Returns : |

### rb_threads_init ()

    void                rb_threads_init                     (void);

### rb_is_main_thread ()

    gboolean            rb_is_main_thread                   (void);

Returns : |

### rb_search_fold ()

    gchar*              rb_search_fold                      (const char *original);

`original` : |
Returns : |

### rb_string_split_words ()

    gchar**             rb_string_split_words               (const gchar *string);

`string` : |
Returns : |

### rb_string_list_equal ()

    gboolean            rb_string_list_equal                (GList *a,
                                                             GList *b);

`a` : |
`b` : |
Returns : |

### rb_string_list_contains ()

    gboolean            rb_string_list_contains             (GList *list,
                                                             const char *s);

`list` : |
`s` : |
Returns : |

### rb_string_list_copy ()

    GList*              rb_string_list_copy                 (GList *list);

`list` : |
Returns : |

### rb_list_deep_free ()

    void                rb_list_deep_free                   (GList *list);

`list` : |

### rb_list_destroy_free ()

    void                rb_list_destroy_free                (GList *list,
                                                             GDestroyNotify destroyer);

`list` : |
`destroyer` : |

### rb_slist_deep_free ()

    void                rb_slist_deep_free                  (GSList *list);

`list` : |

### rb_str_in_strv ()

    gboolean            rb_str_in_strv                      (const char *needle,
                                                             char **haystack);

`needle` : |
`haystack` : |
Returns : |

### rb_collate_hash_table_keys ()

    GList*              rb_collate_hash_table_keys          (GHashTable *table);

`table` : |
Returns : |

### rb_collate_hash_table_values ()

    GList*              rb_collate_hash_table_values        (GHashTable *table);

`table` : |
Returns : |

### rb_uri_list_parse ()

    GList*              rb_uri_list_parse                   (const char *uri_list);

`uri_list` : |
Returns : |

### rb_mime_get_friendly_name ()

    char*               rb_mime_get_friendly_name           (const char *mime_type);

`mime_type` : |
Returns : |

### rb_signal_accumulator_object_handled ()

    gboolean            rb_signal_accumulator_object_handled
                                                            (GSignalInvocationHint *hint,
                                                             GValue *return_accu,
                                                             const GValue *handler_return,
                                                             gpointer dummy);

`hint` : |
`return_accu` : |
`handler_return` : |
`dummy` : |
Returns : |

### rb_value_array_append_data ()

    void                rb_value_array_append_data          (GValueArray *array,
                                                             GType type,
                                                             ...);

`array` : |
`type` : |
`...` : |

### rb_value_free ()

    void                rb_value_free                       (GValue *val);

`val` : |

### rb_assert_locked ()

    void                rb_assert_locked                    (GMutex *mutex);

`mutex` : |

### rb_set_tree_view_column_fixed_width ()

    void                rb_set_tree_view_column_fixed_width (GtkWidget *treeview,
                                                             GtkTreeViewColumn *column,
                                                             GtkCellRenderer *renderer,
                                                             const char **strings,
                                                             int padding);

Sets a fixed size for a tree view column based on a set of strings to be displayed in the column.

`treeview` : | the GtkTreeView containing the column
`column` : | the GtkTreeViewColumn to size
`renderer` : | the GtkCellRenderer used in the column
`strings` : | a NULL-terminated set of strings to base the size on
`padding` : | a small amount of extra padding for the column